# Uses of Class
org.apache.commons.fileupload2.core.FileUploadSizeException

Packages that use FileUploadSizeException
Package
Description
org.apache.commons.fileupload2.core
A component for handling HTML file uploads as specified by RFC 1867.

## Uses of FileUploadSizeException in org.apache.commons.fileupload2.core

Subclasses of FileUploadSizeException in org.apache.commons.fileupload2.core
Modifier and Type
Class
Description
`class`
`FileUploadByteCountLimitException`
Signals that a file size exceeds the configured maximum.
`class`
`FileUploadFileCountLimitException`
Signals that a request contains more files than the specified limit.
Methods in org.apache.commons.fileupload2.core that throw FileUploadSizeException
Modifier and Type
Method
Description
`boolean`
MultipartInput.`readBoundary()`
Skips a `boundary` token, and checks whether more `encapsulations` are contained in the stream.
`String`
MultipartInput.`readHeaders()`
Reads the `header-part` of the current `encapsulation`.